# class SccpSubsystem |
Full name | `TelEngine::SccpSubsystem`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SccpSubsystem (int ssn, SCCPManagement::SccpStates state = SCCPManagement::Allowed, unsigned char smi = 0)
- virtual ~SccpSubsystem ()
- inline unsigned char getSSN ()
- inline SCCPManagement::SccpStates getState ()
- inline void setState (SCCPManagement::SccpStates state)
- inline unsigned char getSmi ()
- void dump (String& dest)

## Detailed Description

inline SccpSubsystem (int ssn, SCCPManagement::SccpStates state = SCCPManagement::Allowed, unsigned char smi = 0) | ### SccpSubsystem

Constructor

Parameters:

ssn | The subsystem number alocated to this subsystem
state | The subsystem initial state
smi | The subsystem multiplicity indicator

~SccpSubsystem () | ### ~SccpSubsystem

[virtual]

inline unsigned char getSSN () | ### getSSN

Obtain subsystem number

Returns: The subsystem number

inline SCCPManagement::SccpStates getState () | ### getState

Obtain the state of this subsystem

Returns: This subsystem state

inline void setState (SCCPManagement::SccpStates state) | ### setState

Set the state of this subsystem

Parameters:

state | The new state

inline unsigned char getSmi () | ### getSmi

Obtain the subsystem multiplicity indicator of this sccp subsystem

Returns: The subsystem multiplicity indicator

void dump (String& dest) | ### dump

Dump this sccp subsystem status

Parameters:

dest | Destination string

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.